Support Questions
Find answers, ask questions, and share your expertise
Announcements
Alert: Welcome to the Unified Cloudera Community. Former HCC members be sure to read and learn how to activate your account here.

Stack HDP-2.4 doesn't have upgrade packages​

Solved Go to solution

Stack HDP-2.4 doesn't have upgrade packages​

Contributor

Registering the new HDP version during upgrade HDP from 2.3.4.7 to 2.4.2.0 is failing with below error message.

An internal system exception occurred: Stack HDP-2.4 doesn't have upgrade packages

[qtp-ambari-client-33] BaseManagementHandler:57 - Caught a system exception while attempting to create a resource: An internal system exception occurred: Stack HDP-2.4 doesn't have upgrade packages org.apache.ambari.server.controller.spi.SystemException: An internal system exception occurred: Stack HDP-2.4 doesn't have upgrade packages at org.apache.ambari.server.controller.internal.AbstractResourceProvider.createResources(AbstractResourceProvider.java:282) at org.apache.ambari.server.controller.internal.RepositoryVersionResourceProvider.createResources(RepositoryVersionResourceProvider.java:153) at org.apache.ambari.server.controller.internal.ClusterControllerImpl.createResources(ClusterControllerImpl.java:289) at org.apache.ambari.server.api.services.persistence.PersistenceManagerImpl.create(PersistenceManagerImpl.java:76) at org.apache.ambari.server.api.handlers.CreateHandler.persist(CreateHandler.java:36) at org.apache.ambari.server.api.handlers.BaseManagementHandler.handleRequest(BaseManagementHandler.java:72) at org.apache.ambari.server.api.services.BaseRequest.process(BaseRequest.java:135) at org.apache.ambari.server.api.services.BaseService.handleRequest(BaseService.java:106) at org.apache.ambari.server.api.services.BaseService.handleRequest(BaseService.java:75) at org.apache.ambari.server.api.services.RepositoryVersionService.createRepositoryVersion(RepositoryVersionService.java:98) at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) at java.lang.reflect.Method.invoke(Method.java:606) at com.sun.jersey.spi.container.JavaMethodInvokerFactory$1.invoke(JavaMethodInvokerFactory.java:60) at com.sun.jersey.server.impl.model.method.dispatch.AbstractResourceMethodDispatchProvider$ResponseOutInvoker._dispatch(AbstractResourceMethodDispatchProvider.java:205)

1 ACCEPTED SOLUTION

Accepted Solutions
Highlighted

Re: Stack HDP-2.4 doesn't have upgrade packages​

Contributor

Thanks all for your comments.

Looks like earlier upgrade missed below step,

ambari-server stop

ambari-server upgradestack HDP-2.3 ambari-server start

This was evident from ambari database tables, while finalizing earlier upgrade, it errored out.

View solution in original post

6 REPLIES 6
Highlighted

Re: Stack HDP-2.4 doesn't have upgrade packages​

Mentor

Is your Ambari version 2.2.2.0?

Highlighted

Re: Stack HDP-2.4 doesn't have upgrade packages​

Contributor

yes, upgraded current prod cluster from Ambari 2.2.1.1 to 2.2.2 and we are trying to upgrade HDP from 2.3.4.7 to 2.4.2.

Able to perform the same in pre-prod env without issues.

Highlighted

Re: Stack HDP-2.4 doesn't have upgrade packages​

Mentor

Was pre-prod using same mirror? Take a look at Ambari db see if anything is still stuck on old Ambari version?

Highlighted

Re: Stack HDP-2.4 doesn't have upgrade packages​

Super Guru

@Kiran Jilla Are there any difference in pre-prod vs prod? db versions, services, kerberos, etc?

Highlighted

Re: Stack HDP-2.4 doesn't have upgrade packages​

@Kiran Jilla

I think your dev is internet enabled servers but prod in not.

Check you check your repo list if it's pointing HDP2.4.2.0 or not.

Highlighted

Re: Stack HDP-2.4 doesn't have upgrade packages​

Contributor

Thanks all for your comments.

Looks like earlier upgrade missed below step,

ambari-server stop

ambari-server upgradestack HDP-2.3 ambari-server start

This was evident from ambari database tables, while finalizing earlier upgrade, it errored out.

View solution in original post

Don't have an account?
Coming from Hortonworks? Activate your account here